Package org.kapott.hbci.sepa.jaxb.pain_002_001_11

# Class MandateRelatedData1Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_11.MandateRelatedData1Choice

public class MandateRelatedData1Choice extends Object

Java class for MandateRelatedData1Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MandateRelatedData1Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="DrctDbtMndt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.11}MandateRelatedInformation14" minOccurs="0"/>
             <element name="CdtTrfMndt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.11}CreditTransferMandateData1" minOccurs="0"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CreditTransferMandateData1`
`cdtTrfMndt`
`protected MandateRelatedInformation14`
`drctDbtMndt`

## Constructor Summary

Constructors
Constructor
Description
`MandateRelatedData1Choice()`

## Method Summary

Modifier and Type
Method
Description
`CreditTransferMandateData1`
`getCdtTrfMndt()`
Gets the value of the cdtTrfMndt property.
`MandateRelatedInformation14`
`getDrctDbtMndt()`
Gets the value of the drctDbtMndt property.
`void`
`setCdtTrfMndt(CreditTransferMandateData1 value)`
Sets the value of the cdtTrfMndt property.
`void`
`setDrctDbtMndt(MandateRelatedInformation14 value)`
Sets the value of the drctDbtMndt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### drctDbtMndt

protected MandateRelatedInformation14 drctDbtMndt

### cdtTrfMndt

protected CreditTransferMandateData1 cdtTrfMndt

## Constructor Details

### MandateRelatedData1Choice

public MandateRelatedData1Choice()

## Method Details

### getDrctDbtMndt

public MandateRelatedInformation14 getDrctDbtMndt()
Gets the value of the drctDbtMndt property.

Returns:
  possible object is `MandateRelatedInformation14`

### setDrctDbtMndt

public void setDrctDbtMndt(MandateRelatedInformation14 value)
Sets the value of the drctDbtMndt property.

Parameters:
  `value` - allowed object is `MandateRelatedInformation14`

### getCdtTrfMndt

public CreditTransferMandateData1 getCdtTrfMndt()
Gets the value of the cdtTrfMndt property.

Returns:
  possible object is `CreditTransferMandateData1`

### setCdtTrfMndt

public void setCdtTrfMndt(CreditTransferMandateData1 value)
Sets the value of the cdtTrfMndt property.

Parameters:
  `value` - allowed object is `CreditTransferMandateData1`